Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/16/2020 in all areas

  1. If it was saved in 2010 format it should look the same on any version of Autocad. Your colleague should be able to open the converted drawing and see exactly what you're seeing. But, I don't know of any reason why this would be happening unless maybe he's not using plain Autocad? You need to find out exactly what program he's using or if he's using any third party add-ons. Also, is your colleague positive that he moved the gate house surround into position, or did he copy it into position and maybe left the original in place and didn't delete it before sending you the file? If you can post the drawing, we can take a look, but I don't know that we will be able to find anything wrong with the drawing.
    1 point
  2. Perhaps something as simple as this? (defun c:foo (/ r s) ;; RJP » 2020-09-15 (if (setq s (ssget ":L" '((0 . "lwpolyline,line")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq r nil) (foreach i (reverse (entget e)) (if (member (car i) '(10 11)) (setq r (cons (cons 10 (cdr i)) r)) ) ) (and (entmake (append (list '(0 . "LEADER") '(100 . "AcDbEntity") (assoc 8 (entget e)) '(100 . "AcDbLeader") '(3 . "STANDARD") ) r ) ) (entdel e) ) ) ) (princ) )
    1 point
  3. OK, try this (defun rh:gbbu (obj / ll ur lst) (vlax-invoke-method obj 'getboundingbox 'll 'ur) (setq lst (mapcar 'vlax-safearray->list (list ll ur))) (cadr lst) );end_defun (vl-load-com) (defun c:test ( / sel ent el ur obj nobj lst ept npt) (while (setq sel (entsel "\nSelect Leader Text : ")) (setq el (entget (setq ent (car sel))) ur nil) (cond ( (= (cdr (assoc 0 el)) "TEXT") (setq ur (rh:gbbu (vlax-ename->vla-object ent)))) ( (= (cdr (assoc 0 el)) "MTEXT") (setq obj (vlax-ename->vla-object ent) nobj (vla-copy obj) ); (vl-cmdf "explode" (vlax-vla-object->ename nobj) "") (setq nobj (vlax-ename->vla-object (entlast)) ur (rh:gbbu nobj) );end_setq (vla-delete nobj) ) );end_cond (cond (ur (setq el (entget (setq ent (car (entsel "\nSelect Leader : "))))) (cond ( (= (cdr (assoc 0 el)) "LEADER") (setq obj (vlax-ename->vla-object ent) lst (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) el)) ept (last lst) lst (cdr (reverse lst)) npt (list (car ur) (cadr ept) (caddr ept)) lst (reverse (cons npt lst)) ) (vlax-put obj 'coordinates (apply 'append lst)) ) );end_cond ) );end_cond );end_while (princ) );end_defun This works on your supplied drawing, and if the leader and text orientation are the same. You are ask to select the Leader Text, This can be "TEXT" or "MTEXT". You are then asked to select the Leader. This can only be a "LEADER" not an "MULTILEADER" The loop will continue until you make a null selection (select a blank area of the screen) on the "Select Leader Text" prompt
    1 point
  4. Can we assume you are using Multileaders? I believe that line is referred to as the landing or hook line. Try setting the landing distance scale factor (default=1). Do this through the Multileader Style Manager.
    1 point
×
×
  • Create New...